<?php
header('Access-Control-Allow-Origin: *'); 
header("Access-Control-Allow-Credentials: true");
header('Access-Control-Allow-Methods: *');
header('Access-Control-Max-Age: 1000');
header('Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, X-Auth-Token, X-Token-Auth, Authorization');
header('Accept: application/json');

require '../vendor/autoload.php';

ini_set('display_errors', 1);
error_reporting(E_ALL ^ E_NOTICE);

// create mysql connection
$mysql_conn = new PriorityOneMarketingGroup\Mysql();
$mysql_conn->init();

// get the HTTP method, path and body of the request
$method = $_SERVER['REQUEST_METHOD'];
$querys = explode('&', $_SERVER['QUERY_STRING']);
$request = explode('/', trim($_SERVER['PATH_INFO'],'/'));
$input = json_decode(file_get_contents('php://input'),true);

$params = array();

foreach ($querys as $query) {
  $querys = explode('=', $query);
  $params[$querys[0]] = $querys[1];
}

// retrieve the table and key from the path
$service = $request[0];
$action = $request[1];
$key = $request[2];

switch ($service) {
  case 'users':
    $element = new PriorityOneMarketingGroup\Users($mysql_conn,$method,$action,$key,$input,$params);
    break;

  case 'projects':
    $element = new PriorityOneMarketingGroup\Projects($mysql_conn,$method,$action,$key,$input,$params);
    break;

  case 'clients':
    $element = new PriorityOneMarketingGroup\Clients($mysql_conn,$method,$action,$key,$input,$params);
    break;

  case 'clubs':
    $element = new PriorityOneMarketingGroup\Clubs($mysql_conn,$method,$action,$key,$input,$params);
    break;

  case 'crons':
    $element = new PriorityOneMarketingGroup\Cronjobs($mysql_conn,$method,$action,$key,$input,$params);
    break;
}

$result = $element->getResults();

echo $result;

/* print results, insert id or affected row count
if ($method == 'GET') {

} elseif ($method == 'POST') {
  echo mysqli_insert_id($link);
} else {
  echo mysqli_affected_rows($link);
}*/

// close mysql connection
$mysql_conn->close();
